Skip to content

Get a published video

Deprecated
GET
/video/{token}
curl --request GET \
--url https://app.mediamanager.io/api/v1/video/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Get a single published video you have permission to view

This is a deprecated endpoint and will be removed. Please use /media/{token} instead.

token
required

The media token, should be v4 uuid

string format: uuid

OK

Media type application/json
object
video
object
token
string format: uuid
type
string
Allowed values: Audio Video
title
string
tags
Array<string>
duration
number
version
integer
is_downloadable
boolean
nullable
is_live
boolean
created_at
string format: date-time
updated_at
string format: date-time
sub_property_id
integer
custom_fields

Custom fields as key value pairs

object
key
additional properties
string
player
object
color
string
button
object
title
string
url
string format: uri
media
object
playlist
string
aspect_ration
string
nullable
thumbnail
string format: uri
nullable
transcript
string format: uri
nullable
tracks
object
chapters
string format: uri
captions
Array<string>
storyboard
string format: uri
tags

An array of tags as strings

Array<string>
version
integer
is_downloadable
boolean
custom_fields

Custom fields as key value pairs

object
key
additional properties
string
player
object
color
string
media
object
aspect_ratio
string
thumbnail
string
tracks
object
captions
object
key
additional properties
string
storyboard
string
playlist
string
Example
{
"video": {
"type": "Audio"
}
}

Item is missing or not found

Media type application/json
object
error
string
default: Not found
Example
{
"error": "Not found"
}